## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SybaseASABaseDatabaseLoader

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.baseloaders.SybaseASABaseDatabaseLoader

Direct Known Subclasses:
  SybaseASADatabaseLoader

    public class SybaseASABaseDatabaseLoader

extends java.lang.Object

Nested Class Summary
`static class` `SybaseASABaseDatabaseLoader.ASABaseSchemaLoader`

Constructor Summary
`SybaseASABaseDatabaseLoader(SybaseASABaseDatabase catalogDatabase)`

Method Summary
`void` `loadAuthIds(org.eclipse.emf.common.util.EList authIdContainmentList)`
`void` `loadDataTypes(org.eclipse.emf.common.util.EList datatypeConstainmentList)`
`void` `loadDbInfo1()`
`void` `loadDbInfo2()`
`void` `loadDbSpaces(org.eclipse.emf.common.util.EList dbspaceContainmentList)`
`void` `loadEvents(org.eclipse.emf.common.util.EList eventContainmentList)`
`void` `loadSchemas(org.eclipse.emf.common.util.EList schemaConstainmentList)`
`void` `loadWebServices(org.eclipse.emf.common.util.EList webserviceConstraintmentList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASABaseDatabaseLoader

    public SybaseASABaseDatabaseLoader(SybaseASABaseDatabase catalogDatabase)

Method Detail

### loadSchemas

    public final void loadSchemas(org.eclipse.emf.common.util.EList schemaConstainmentList)

### loadWebServices

    public void loadWebServices(org.eclipse.emf.common.util.EList webserviceConstraintmentList)

### loadDataTypes

    public final void loadDataTypes(org.eclipse.emf.common.util.EList datatypeConstainmentList)

### loadEvents

    public final void loadEvents(org.eclipse.emf.common.util.EList eventContainmentList)

### loadAuthIds

    public final void loadAuthIds(org.eclipse.emf.common.util.EList authIdContainmentList)

### loadDbSpaces

    public void loadDbSpaces(org.eclipse.emf.common.util.EList dbspaceContainmentList)

### loadDbInfo1

    public final void loadDbInfo1()

### loadDbInfo2

    public final void loadDbInfo2()